TImageCreator< T > Class Template Referenceabstract
Filtering and combining

The base class for generic image creation. More...

`#include <mia/core/creator.hh>`

Inheritance diagram for TImageCreator< T >:
[legend]
Collaboration diagram for TImageCreator< T >:
[legend]

## Public Types

typedef T | plugin_data
| plugin searchpath helper type, data part
typedef creator_type | plugin_type
| plugin searchpath helper type, plugin type part
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

virtual std::shared_ptr< T > | operator() (const typename T::dimsize_type &size, EPixelType type) const =0
virtual | ~TImageCreator ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Detailed Description

template<typename T>
class TImageCreator< T >

The base class for generic image creation.

This template defines a generic base class for a creator of images containing some shapes.

Template Parameters

  T | image type to create

Definition at line 44 of file core/creator.hh.

## Member Typedef Documentation

## plugin_data

template<typename T>

typedef T TImageCreator< T >::plugin_data

plugin searchpath helper type, data part

Definition at line 48 of file core/creator.hh.

## plugin_type

template<typename T>

typedef creator_type TImageCreator< T >::plugin_type

plugin searchpath helper type, plugin type part

Definition at line 51 of file core/creator.hh.

## Constructor & Destructor Documentation

## ~TImageCreator()

template<typename T>

virtual TImageCreator< T >::~TImageCreator | ( |  | ) |

inline virtual

Definition at line 53 of file core/creator.hh.

## Member Function Documentation

## operator()()

template<typename T>

virtual std::shared_ptr< T > TImageCreator< T >::operator() | ( | const typename T::dimsize_type & | size,
|  | EPixelType | type ) const

pure virtual

Creator function, need to be overloaded

Parameters

  size | output image size
  type | pixel type

Returns
  the created Image

The documentation for this class was generated from the following file:

- core/creator.hh